﻿import cmdlib
import es

# ******************** Load ********************
def load():
	es.set("sm_referee_sound_whistle", "soccer_mod/referee/whistle.wav")
	es.set("sm_referee_sound_red_card", "soccer_mod/referee/itsred.mp3")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_whistle", sound_whistle, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_red_card", sound_red_card, "Server Command")

	es.set("sm_referee_sound_fireworks", "soccer_mod/referee/fireworks.wav")
	es.set("sm_referee_sound_give_dope", "soccer_mod/referee/heartbeat.wav")
	es.set("sm_referee_sound_out_breath", "soccer_mod/referee/outofbreath.wav")
	es.set("sm_referee_sound_lightning", "soccer_mod/referee/lightning.mp3")
	es.set("sm_referee_sound_cheer_leader_1", "soccer_mod/referee/cheerleader_gogo.wav")
	es.set("sm_referee_sound_cheer_leader_2", "soccer_mod/referee/cheerleader_pushemback.wav")
	es.set("sm_referee_sound_cheer_leader_3", "soccer_mod/referee/cheerleader_winwin.wav")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_fireworks", sound_fireworks, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_give_dope", sound_give_dope, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_out_breath", sound_out_breath, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_lightning", sound_lightning, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_1", sound_cheer_leader_1, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_2", sound_cheer_leader_2, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_3", sound_cheer_leader_3, "Server Command")

	es.server.cmd("exec soccer_mod/modules/referee.cfg")

# ******************** Commands ********************
def sound_whistle(args):
	es.set("sm_referee_sound_whistle", args[0])

def sound_red_card(args):
	es.set("sm_referee_sound_red_card", args[0])

def sound_fireworks(args):
	es.set("sm_referee_sound_fireworks", args[0])

def sound_give_dope(args):
	es.set("sm_referee_sound_give_dope", args[0])

def sound_out_breath(args):
	es.set("sm_referee_sound_out_breath", args[0])

def sound_lightning(args):
	es.set("sm_referee_sound_lightning", args[0])

def sound_cheer_leader_1(args):
	es.set("sm_referee_sound_cheer_leader_1", args[0])

def sound_cheer_leader_2(args):
	es.set("sm_referee_sound_cheer_leader_2", args[0])

def sound_cheer_leader_3(args):
	es.set("sm_referee_sound_cheer_leader_3", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/modules/referee.cfg")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_whistle")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_red_card")

	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_fireworks")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_give_dope")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_out_breath")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_lightning")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_3")